BREAKING NEWS
Home » 3DS-Flashcard » Warning: Do not update Gateway emunand to 3DS 11.4 and 11.3
Buy Best R4 Card For 3DS(XL)/2DS/DSi/DS

Warning: Do not update Gateway emunand to 3DS 11.4 and 11.3

Gateway 3ds has also responsed to the latest 3DS FW 11.4.0-37. You can check the following update made by gateway-3ds.com. Plus, we 3ds-flashcard.cc, as the official reseller of GW card in USA should give a waring here too. Do not choose this 3ds game supported card if your console system version is out of v4.1 to v9.2, unless you can find a way to downgrade your 3ds v11.4/11.3 handheld system.

Gateway 3ds and 3DS FW 11.4.0-27

13/02 – 11.3/11.4 Emunand

Just a quick update about the latest Nintendo 11.3/11.4 firmware support on Emunand.

As indicated before, we are working really hard to release as soon as possible our new major update that will once again revolutionize the (N)3DS scene. As it is  now  getting  very close, we might have to delay the Emunand latest Nintendo firmware support. We will keep you posted very soon, and be sure that as always, we will offer full support for all Gateway user,even for day one buyers from 4 years ago!

For now, please do not update your Emunand until you can read the confirmation of support for 11.3/11/4 here.

Thank you for your patience, more to come very soon.

Gateway Team: year after year, we always deliver more than expected!

What do we know from the GW 3DS News?

  1. As gateway 3ds card users, you can not update GW Emunand to 11.3.0 or 11.4.0. The current highest emunand version you can stay on is 11.2.0.
  2. The next gateway 3ds update or new firmware can be applied onto all GW 3DS cards, even you buy from 4 year before.
  3. Gateway 3ds card and the flash card company will not disaapear or run away as other carts do like MT-card or 3dslink. Don’t worry if you have or purchase this 3ds flashcard.

3DS Gateway supports 2DS/3DS/NEW 3DS 11.4.0-37?

No, 3ds gateway is not compatible with both emunand 11.4 and sysnand 11.4. You can not play the free 3ds games on your 2ds, 3ds or new 3ds console with the 11.4.0-37 firmware version. If you are on the latest 11.4 or 11.3 FW, buy the Sky3ds+ flash card, so you can play pirated 3ds games on all 3ds family devices from any region.

Comments are closed.

Scroll To Top